Kodi Community Forum

Full Version: [depricated] old YouTube Plugin - XBMC 13.0 Frodo/Gotham only
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
well I went back to read the previous post and thanks to chocolateboy who posted the difference between the official addon and anteo's changes I was able to apply those same fixes to the 2.9.0 version that works on apple tv 1. for anyone who is interested here are modified files that works on my atv1.

http://dk-xbmc-repaddon.googlecode.com/f...outube.zip
http://dk-xbmc-repaddon.googlecode.com/f...loader.zip

NOTE: for people who are getting the Dependency not met error while installing the latest youtube fix. you might want to try these files instead.
Hi all,

I have applied the patched code and youtube plugin now works.

I have noticed though that when I try to user the Shuffle and Play all function it now longer works. In the past i'd choose that option, press play and it would play all videos in the folder. Now pressing play just opens the folder.

Eden 11, on an ATV2.
anyone know when this fix will go in to the main XBMC addons branch?

there are many addons that are dependent on the Youtube module which are now broken (unless an update is pushed online in the standard way)
I've discovered some strange issues with XBMC 12 Frodo alpha5 (on Windows, can't check it on *nix)
When I try to open the search or the settings dialog, a message about "Loading directory...." appears instantly and stays forever until I press Cancel button. When I press Cancel, I don't able to perform any other operations in this dialog (to continue search or apply settings).

I don't know the reason of it, but obviously this is a XBMC issue or maybe something in the plugin API changed. No idea.

Tested with Eden, Frodo alpha3 - works as expected.
known issue that was fixed this morning.
(2012-09-17, 17:09)timwall Wrote: [ -> ]
(2012-09-16, 07:25)anteo Wrote: [ -> ]
(2012-09-16, 00:22)timwall Wrote: [ -> ]Seems to work with video playing again.

However the "age verify" videos are still not playing, even with the fix of code in YouTubeCore.py that was mention in this forum.

Could you give me a link to any of such videos, maybe I can fix this problem too?

Hi sorry been offline for the past few days. Here is a link to one such video.

http://www.youtube.com/watch?v=wyx6JDQCslE

Unfortunately, I can view it in XBMC with no errors. Maybe it depends on country you are living in. I think it will be difficult for me to fix this issue without knowing how to reproduce it.
(2012-09-18, 12:24)anteo Wrote: [ -> ]I've discovered some strange issues with XBMC 12 Frodo alpha5 (on Windows, can't check it on *nix)
When I try to open the search or the settings dialog, a message about "Loading directory...." appears instantly and stays forever until I press Cancel button. When I press Cancel, I don't able to perform any other operations in this dialog (to continue search or apply settings).

I don't know the reason of it, but obviously this is a XBMC issue or maybe something in the plugin API changed. No idea.

Tested with Eden, Frodo alpha3 - works as expected.

(2012-09-18, 12:26)spiff Wrote: [ -> ]known issue that was fixed this morning.

Confirm, the latest nighly build resolves the problem.
Thanks.
I keep getting dependencies not met for both YouTube and its Script. I wonder what's the issue?
Hello!

I keep getting "Playback failed: unable to locate video url" when trying to play Trailer with Confluence 2.1.0 on Eden.

Here's the log : http://pastebin.com/B0Pgy85V

Thanks for your hard work! Smile

edit - Just found out that the dev of this plugin are working on it. Thanks!
(2012-09-17, 11:14)Skank Wrote: [ -> ]When going into movie wall and trying to play trailer with youtube plugin, it says:
Playback failed
Invalid paramter
Any ideas?

Whats wrong?
The zip files fix the problem for me too, raspberry pi - xbian. thanks for the quick fix!
Is the play all and shuffle and play all not working again?

I get the error

Error
Script failed!: plugln.video.youtube

Version 3.2

Thanks
(2012-09-19, 11:11)NaDs Wrote: [ -> ]Is the play all and shuffle and play all not working again?

I get the error

Error
Script failed!: plugln.video.youtube

Version 3.2

Thanks
Confirmed

Looks like it was an auto-update to 3.2 that broke it.
The Youtube Plugin doesn't work for me anymore (doesn't play the vids anymore). It only displays 2.9 as recent youtube version and the installations from Zip posted here show "Dependencies not met" and do not install at all.

I am using Eden 11.0 (recent stable version) but also tested withe the newest 12.0 Alpha - no change.
Not had chance to fully test it, but I could play videos from my history on raspberry with 3.2Smile